Subject: bug#47825: closed (Re: bug#47800: bug#44128: [feature/native-comp] When invoking a symlink to the 'emacs' binary Emacs fails to start)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Apr 2021 14:53:03 +0000

Your bug report

#47800: Bug calling emacs from terminal

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47800: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47800
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47800: bug#44128: [feature/native-comp] When invoking a symlink to the 'emacs' binary Emacs fails to start
From: Eli Zaretskii <[email-masked]>
To: Jonas Bernoulli <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 19 Apr 2021 17:52:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> >> This time it compiled; but with the following warnings, and
> >> when I run it from the installed location (whether using the
> >> absolute path or a symlink) I get a seg fault / core dump:
> >
> > Sorry about that.  Next try, please.
> 
> Now it works for me too.
> Thanks!

Thanks, so I think we can close this issue now.  Thanks to everybody
who reported their results and tried my buggy code.

Subject: Bug calling emacs from terminal
From: J K sanchez <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2021 11:08:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am having this problem:
*jorge@debian:~$ emacs*
emacs: could not resolve realpath of "emacs": No such file or directory

My tests run without issue
*jorge@debian:~$ echo $PATH*
/home/jorge/.local/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games

*jorge@debian:~$ /usr/local/bin/emacs --version   *
GNU Emacs 28.0.50
Copyright (C) 2021 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

Emacs has been compiled from source and installed the last version in
emacs-mirror https://github.com/emacs-mirror/emacs using --feature-comp and
--with-x-toolkit=lucid as configure flags.

Thanks.